#!/usr/bin/env python3

from sys import version_info
from lxml import etree

ENVIRONMENT = (
    ("Python", version_info),
    ("lxml.etree", etree.LXML_VERSION),
    ("libxml used", etree.LIBXML_VERSION),
    ("libxml compiled", etree.LIBXML_COMPILED_VERSION),
    ("libxslt used", etree.LIBXSLT_VERSION),
    ("libxslt compiled", etree.LIBXSLT_COMPILED_VERSION),
)

for label, value in ENVIRONMENT:
    print(f"{label:<20s}: {value}")

root = etree.parse("original.xml").getroot()
for node in root.findall("AltTitle"):
    if node.get("TitleType") == "Browser":
        title = "".join(node.itertext("*")).strip()
        title += " (PDQ\xae)"
        node.text = title
with open("corrupted.xml", "wb") as fp:
    fp.write(etree.tostring(root))
